#
# spec file for package tcm (Version 2.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp lesstif lesstif-devel libgpp xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less lesstif lesstif-devel libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         tcm
Summary:      Toolkit for Conceptual Modeling
Version:      2.01
Release:      107
Group: Development/Tools
#Requires: 
#Provides: 
Copyright: GPL
URL: http://wwwhome.cs.utwente.nl/~tcm
Source: %{name}-%{version}.src.tar.bz2
Patch: tcm-2.01-glibc-2.2.2.dif
BuildRoot: /var/tmp/tcm-root

%description
The Toolkit for Conceptual Modeling is a collection of software tools
to present conceptual models of software systems in the form of
diagrams, tables, trees, and the like.  A conceptual model of a system
is a structure used to represent the requirements or architecture of
the system. TCM is meant to be used for specifying and maintaining
requirements for desired systems, in which a number of techniques and
heuristics for problem analysis, function refinement, behavior
specification, and architecture specification are used.

Authors:
--------
    Roel Wieringa <tcm@cs.utwente.nl>

SuSE series: d

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch0

%build
export CFLAGS=$RPM_OPT_FLAGS
make config
make depend
make execs

%install
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
    rm -rf $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT/opt/tcm
%{INSTALL_DIR} $RPM_BUILD_ROOT/opt/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}
make TCM_INSTALL_DIR=$RPM_BUILD_ROOT/opt/tcm install
(
strip $RPM_BUILD_ROOT/opt/tcm/bin/*
)
mv $RPM_BUILD_ROOT/opt/tcm/man/man1 $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT/opt/tcm/man
rm -rf .DOC
mv $RPM_BUILD_ROOT/opt/tcm/doc .DOC
cat > $RPM_BUILD_ROOT/opt/bin/tcm <<EOF
  cd /opt/tcm/bin
  TCM_HOME=/opt/tcm exec ./tcm
EOF
chmod 0755 $RPM_BUILD_ROOT/opt/bin/tcm

%clean
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/opt/tcm
/opt/bin/tcm
%doc %{_mandir}/man1/*
%doc .DOC/*
%doc [A-Z][A-Z]*
# spec file ends here

%changelog -n tcm
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - uli@suse.de
- changed spec so errors in stripping are ignored
* Fri Mar 16 2001 - max@suse.de
- new package tcm-2.01
